
Infrastructure - Task #2472

Story # 2416 (Closed): Secure CN Search Index

Implement security filtering for search index solr endpoints

2012-03-13 15:41 - Skye Roseboom

Status: Closed Start date: 2012-03-13

Priority: Normal Due date:  

Assignee: Skye Roseboom % Done: 100%

Category: d1_indexer Estimated time: 0.00 hour

Target version: Sprint-2012.39-Block.5.4   

Milestone: CCI-1.1 Story Points:  

Product Version: *   

Description

Includes:

CN search endpoint -- cn/v1/search/solr

Solr endpoint - /solr/d1-cn-index/select

History

#1 - 2012-06-26 18:28 - Skye Roseboom

- Milestone changed from CCI-1.0.0 to CCI-1.2

#2 - 2012-07-25 20:25 - Skye Roseboom

Need to keep in mind that the 'mlt' solr feature available on /select does not apply query filter parameters (which is how security is applied).  So may

need to strip-out / prevent uses from specifying 'mlt' query parts.

#3 - 2012-07-30 20:16 - Skye Roseboom

- Status changed from New to In Progress

#4 - 2012-08-09 21:49 - Skye Roseboom

- Milestone changed from CCI-1.2 to CCI-1.1

- Status changed from In Progress to Testing

Adapted existing Solr Session Authorization Filter logic in solr_extensions project for use with search index.  Created and register SolrSearchHandler

for search index's solrconfig.xml file.  An extension of the default solr search handler class.   Re-writes the query to apply filter query for public data

and if an authorized user is detected, the query is updated to additionally return records the user had READ permission for.

Allows all security / identity mapping handling for solr searches to be centralized in SolrSearchHandler.java.

#5 - 2012-10-04 21:28 - Skye Roseboom

- translation missing: en.field_remaining_hours set to 0.0

- Status changed from Testing to Closed

#6 - 2012-10-05 16:19 - Skye Roseboom

- Target version changed from Sprint-2012.37-Block.5.3 to Sprint-2012.39-Block.5.4
